#include <iostream.h>
#include <fstream.h>
#include <string.h>

extern "C"
{
  char *strdup(char *);
}

#define MAXLINE 80
#define DEBUG   11

#include "problem.H"

main(int argc, char **argv)
{
  // Arguments: problem_defintion_file
  char *mesh_fname;
  mesh_fname = new char[MAXLINE];
  
  if (argc > 1)
    {
      mesh_fname = strdup(argv[1]);
    }
  else
    {
      cout << "\nMesh filename? ";
      cin >> mesh_fname;
    }

  cout << "Target Problem File: " << mesh_fname << endl;

  Problem Mesh(mesh_fname);

  Mesh.Show(11);
}
