#include <iostream.h>
#include <fstream.h>

#define MAXLINE 80
#define DEBUG 0
extern "C"
{
  long random();
  int atoi(char *);
  int abs(int);
  char *strdup(const char *);
}

#include "matrix.H"

main(int argc, char **argv)
{
  int gen=0;

  // Arguments: problem_defintion_filename output_filename
  char *mesh_fname;
  mesh_fname = new char[MAXLINE];
  
  if (argc > 1)
    {
      mesh_fname = strdup(argv[1]);
    }
  else
    {
      cout << "\nMesh filename? ";
      cin >> mesh_fname;
      cout << endl;
    }

  if (DEBUG)
    {
      cout << "Target Problem File: " << mesh_fname << endl;
    }

  Matrix Mat(mesh_fname);
  Mat.Fitness();
  Mat.Info();
}
